Ativar loja
Cria e ativa uma loja sob o integrador, devolvendo as credenciais de acesso.
/manager/integrator/store/activeAuthorization
bearerAuth gatewayKey Token JWT no formato: Bearer {token}
In: header
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/integrator/store/active" \ -H "Content-Type: application/json" \ -d '{ "cnpj": "99999999999999", "store_name": "Loja Exemplo Comércio LTDA", "email": "admin@exemplo.com.br", "name": "Ana Administradora", "webhookUrl": { "url": "https://erp.exemplo.com.br/smarttef/callback", "authorization_token": "Bearer chave-do-erp" }, "oper_password_generate": true }'{
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.loja",
"activationToken": "ATV-3f9c1a",
"OcpApiSubscriptionKey": "b7c1e0f4a9d24f1b8e3c5a7d9f0b2c46",
"operador": {
"email": "99999999999999-019c964f-5ecf-7889-operador@email.com",
"name": "operador",
"password": "48219"
}
}{
"status": 400,
"data": {
"message": "Store already exists",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/active"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo integrador, verifique se o token está correto.",
"token not corresponds."
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/active"
}
}{
"status": 404,
"data": {
"message": "Integrator not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/active"
}
}{
"status": 500,
"data": {
"message": [
"Failed to generate unique token",
"Não foi possível gerar a senha do usuário"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/integrator/store/active"
}
}